[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#2349: can't use mawk to generate 1.3.57 kernel

'Darren/Torin/Who Ever... wrote:'
>Package: mawk
>Version: 1.2.1-1
>Mawk is broken badly when trying to generate dependencies on the 1.3.X

First, I tested this case and mawk and gawk give the same results (if
your interested in more mawk vs. gawk comparisons check out
ftp://ftp.netaxs.com/people/cjf/debian/awk).  The "brokenness" is that
mawk *used* to be "noisy" when getline() was invoked on a file that
didn't exist (all the errors you saw were on stderr and indicate that
mawk is doing what it oughtta).  This was fixed in mawk-1.2.2-1 which
should be on the ftp sites (if it isn't let me know and I'll re-upload
it).  Hence I'm closing the bug report.

Christopher J. Fearnley            |    UNIX SIG Leader at PACS
cjf@netaxs.com                     |    (Philadelphia Area Computer Society)
http://www.netaxs.com/~cjf         |    Design Science Revolutionary
ftp://ftp.netaxs.com/people/cjf    |    Explorer in Universe
"Dare to be Naive" -- Bucky Fuller |    Linux Advocate

Reply to: